# Source this file if using csh or a shell derived from it
setenv OSG_LOCATION "@@OSG_LOCATION@@"
setenv GFAL_CONFIG_DIR "$OSG_LOCATION/etc/gfal2.d/"
setenv GFAL_PLUGIN_DIR "$OSG_LOCATION/usr/lib64/gfal2-plugins/"
setenv GLOBUS_LOCATION "$OSG_LOCATION/usr"
setenv PATH "$OSG_LOCATION/usr/bin:$OSG_LOCATION/usr/sbin:$PATH"
setenv X509_CERT_DIR "$OSG_LOCATION/etc/grid-security/certificates"
setenv X509_VOMS_DIR "$OSG_LOCATION/etc/grid-security/vomsdir"
setenv VOMS_USERCONF "$OSG_LOCATION/etc/vomses"
if ($?LD_LIBRARY_PATH) then
	setenv LD_LIBRARY_PATH "$OSG_LOCATION/lib64:$OSG_LOCATION/lib:$OSG_LOCATION/usr/lib64:$OSG_LOCATION/usr/lib:$OSG_LOCATION/usr/lib64/dcap:$OSG_LOCATION/usr/lib64/lcgdm:$LD_LIBRARY_PATH"
else
	setenv LD_LIBRARY_PATH "$OSG_LOCATION/lib64:$OSG_LOCATION/lib:$OSG_LOCATION/usr/lib64:$OSG_LOCATION/usr/lib:$OSG_LOCATION/usr/lib64/dcap:$OSG_LOCATION/usr/lib64/lcgdm"
endif

if ($?PERL5LIB) then
	setenv PERL5LIB "$OSG_LOCATION/usr/share/perl5/vendor_perl:$OSG_LOCATION/usr/share/perl5:$OSG_LOCATION/usr/lib64/perl5/vendor_perl:$OSG_LOCATION/usr/lib64/perl5:$PERL5LIB"
else
	setenv PERL5LIB "$OSG_LOCATION/usr/share/perl5/vendor_perl:$OSG_LOCATION/usr/share/perl5:$OSG_LOCATION/usr/lib64/perl5/vendor_perl:$OSG_LOCATION/usr/lib64/perl5"
endif

if ($?PYTHONPATH) then
	setenv PYTHONPATH "$OSG_LOCATION/usr/lib/python3.6/site-packages:$OSG_LOCATION/usr/lib64/python3.6/site-packages:$PYTHONPATH"
else
	setenv PYTHONPATH "$OSG_LOCATION/usr/lib/python3.6/site-packages:$OSG_LOCATION/usr/lib64/python3.6/site-packages"
endif

if ($?MANPATH) then
	setenv MANPATH "$OSG_LOCATION/usr/share/man:$MANPATH"
else
	setenv MANPATH "$OSG_LOCATION/usr/share/man"
endif


# Site-specific customizations
if -r "$OSG_LOCATION/setup-local.csh" then
	source "$OSG_LOCATION/setup-local.csh"
endif

